Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.registry
Interface BusinessLifeCycleManager

All Superinterfaces:
  LifeCycleManager

public interface BusinessLifeCycleManager
extends LifeCycleManager

Version:
  $Revision: 1.1 $
Author:
  Scott.Stark@jboss.org

Field Summary

Fields inherited from interface javax.xml.registry.LifeCycleManager
`ASSOCIATION, AUDITABLE_EVENT, CLASSIFICATION, CLASSIFICATION_SCHEME, CONCEPT, EMAIL_ADDRESS, EXTERNAL_IDENTIFIER, EXTERNAL_LINK, EXTRINSIC_OBJECT, INTERNATIONAL_STRING, KEY, LOCALIZED_STRING, ORGANIZATION, PERSON_NAME, POSTAL_ADDRESS, REGISTRY_ENTRY, REGISTRY_PACKAGE, SERVICE, SERVICE_BINDING, SLOT, SPECIFICATION_LINK, TELEPHONE_NUMBER, USER, VERSIONABLE`

Method Summary
`void` | `confirmAssociation(Association assoc)`
`BulkResponse` | `deleteAssociations(Collection associationKeys)`
`BulkResponse` | `deleteClassificationSchemes(Collection schemeKeys)`
`BulkResponse` | `deleteConcepts(Collection conceptKeys)`
`BulkResponse` | `deleteOrganizations(Collection organizationKeys)`
`BulkResponse` | `deleteServiceBindings(Collection bindingKeys)`
`BulkResponse` | `deleteServices(Collection serviceKeys)`
`BulkResponse` | `saveAssociations(Collection associations, boolean replace)`
`BulkResponse` | `saveClassificationSchemes(Collection schemes)`
`BulkResponse` | `saveConcepts(Collection concepts)`
`BulkResponse` | `saveOrganizations(Collection organizations)`
`BulkResponse` | `saveServiceBindings(Collection bindings)`
`BulkResponse` | `saveServices(Collection services)`
`void` | `unConfirmAssociation(Association assoc)`

Methods inherited from interface javax.xml.registry.LifeCycleManager
`createAssociation, createClassification, createClassification, createClassification, createClassificationScheme, createClassificationScheme, createClassificationScheme, createConcept, createConcept, createEmailAddress, createEmailAddress, createExternalIdentifier, createExternalIdentifier, createExternalLink, createExternalLink, createExtrinsicObject, createInternationalString, createInternationalString, createInternationalString, createKey, createLocalizedString, createLocalizedString, createObject, createOrganization, createOrganization, createPersonName, createPersonName, createPostalAddress, createRegistryPackage, createRegistryPackage, createService, createService, createServiceBinding, createSlot, createSlot, createSpecificationLink, createTelephoneNumber, createUser, deleteObjects, deleteObjects, deprecateObjects, getRegistryService, saveObjects, unDeprecateObjects`

Method Detail

### confirmAssociation

    public void confirmAssociation(Association assoc)
                            throws JAXRException,
                                   InvalidRequestException

  Throws:
    `JAXRException`
    `InvalidRequestException`

### deleteAssociations

    public BulkResponse deleteAssociations(Collection associationKeys)
                                    throws JAXRException

  Throws:
    `JAXRException`

### deleteClassificationSchemes

    public BulkResponse deleteClassificationSchemes(Collection schemeKeys)
                                             throws JAXRException

  Throws:
    `JAXRException`

### deleteConcepts

    public BulkResponse deleteConcepts(Collection conceptKeys)
                                throws JAXRException

  Throws:
    `JAXRException`

### deleteOrganizations

    public BulkResponse deleteOrganizations(Collection organizationKeys)
                                     throws JAXRException

  Throws:
    `JAXRException`

### deleteServiceBindings

    public BulkResponse deleteServiceBindings(Collection bindingKeys)
                                       throws JAXRException

  Throws:
    `JAXRException`

### deleteServices

    public BulkResponse deleteServices(Collection serviceKeys)
                                throws JAXRException

  Throws:
    `JAXRException`

### saveAssociations

    public BulkResponse saveAssociations(Collection associations,
                                         boolean replace)
                                  throws JAXRException

  Throws:
    `JAXRException`

### saveClassificationSchemes

    public BulkResponse saveClassificationSchemes(Collection schemes)
                                           throws JAXRException

  Throws:
    `JAXRException`

### saveConcepts

    public BulkResponse saveConcepts(Collection concepts)
                              throws JAXRException

  Throws:
    `JAXRException`

### saveOrganizations

    public BulkResponse saveOrganizations(Collection organizations)
                                   throws JAXRException

  Throws:
    `JAXRException`

### saveServiceBindings

    public BulkResponse saveServiceBindings(Collection bindings)
                                     throws JAXRException

  Throws:
    `JAXRException`

### saveServices

    public BulkResponse saveServices(Collection services)
                              throws JAXRException

  Throws:
    `JAXRException`

### unConfirmAssociation

    public void unConfirmAssociation(Association assoc)
                              throws JAXRException,
                                     InvalidRequestException

  Throws:
    `JAXRException`
    `InvalidRequestException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.